CNaughtCNaught
PricingSign In

Update Subaccount Logo By Uploading Image Content

Updates the logo for a Subaccount with given id with the image contents sent in the request body. The request body should be the binary image contents in a supported image format, and the request should include a Content-Type header specifying the image content type. Supported image types are: PNG (image/png), JPEG (image/jpeg), WEBP (image/webp), and SVG (image/svg+xml).

PUT/subaccounts/{id}/logo

Authorizations#

Authorization

string

header

required

Bearer authentication header of the form Bearer <token>, where <token> is your CNaught API key.

Headers#

Content-Type

enum<string>

required

The content type for the image being uploaded. Must be a supported image type (see description for list of valid types)

Options:

image/pngimage/jpegimage/webpimage/svg+xml

Path Parameters#

id

string

required

ID of subaccount to modify logo for

Body#

Subaccount Logo Image Content

Response#

200

Subaccount Details after update

Delete Subaccount

Update Subaccount Logo By Uploading Image Content

curl --request PUT \
  --url https://api.cnaught.com/v1/subaccounts/<id>/logo \
  --header 'Authorization: Bearer <token>'
{
  "id": "5nubL0NS",
  "name": "Operations Department",
  "default_portfolio_id": "eWvNvC12",
  "logo_url": "https://customer-assets.cnaught.com/fe0df075-30e2-4e58-9feb-154e72a9205f/subaccount_logo.png"
}